#define _H_Projectile

/*
 *  Copyright Jeff Francis 1990
 * All rights reserved
 *
 * $Id$
 *
 * Description - Class definition for CProjectile.  See CProjectile.c
 * for more information.
 */  

#include "CAfterDark.h"

struct CProjectile : CAfterDark
{
	float fXo, fYo, fX, fY, fVxo, fVyo, fT, fG;
	int fBallSize;
	
	OSErr Initialize(RgnHandle blankRgn, GMParamBlockPtr params);
	OSErr DrawFrame(RgnHandle blankRgn, GMParamBlockPtr params);
	void InitialConditions(GMParamBlockPtr params);
};

#define kBALLSIZE_CTRL		0
#define kGRAVITY_CTRL		1
#define kSPEED_CTRL			2
#define kRATIO_CTRL			3

#define ABS(x) (x > 0 ? x : -x)