#   File:       SimpleFormat.make
#   Target:     SimpleFormat.make
#   Sources:    SimpleFormat.c DialogUtilities.c PIUtilities.c


'Simple Format'   SimpleFormat.r PIGeneral.r PIUtilities.r 
	SimpleFormat.c.o DialogUtilities.c.o PIUtilities.c.o
	Rez 
		-o 'Simple Format' 
		SimpleFormat.r 
		DialogUtilities.r 
		PIUtilities.r
	Link 
		-o 'Simple Format' 
		-rt 8BIF=16000 
		-m ENTRYPOINT 
		-sg 'Simple Format' 
		-mf 
		SimpleFormat.c.o 
		DialogUtilities.c.o 
		PIUtilities.c.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o
	SetFile  -t '8BIF' -c '8BIM' 'Simple Format'

SimpleFormat.c.o  SimpleFormat.c 
	PITypes.h 
	PIAbout.h 
	PIFormat.h 
	PIUtilities.h 
	DialogUtilities.h
	C -b SimpleFormat.c

DialogUtilities.c.o  DialogUtilities.c DialogUtilities.h PIGeneral.h PITypes.h
	C -b DialogUtilities.c

PIUtilities.c.o  PIUtilities.c PIUtilities.h PIGeneral.h PITypes.h
	C -b PIUtilities.c

