/*
 * Copyright (C) 1994 Marc Parmet.
 * This file is part of the Macintosh port of GNU Emacs.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "Types.r"
#include "SysTypes.r"

#include "emacs-version.h"

Include "icon.rsrc";
Include "install.68k.rsrc";
Include "text.68k.rsrc" 'PDEF' (128) as 'CODE' (128, locked, sysHeap);
Include "gestalt.68k.rsrc" 'PDEF' (128) as 'CODE' (129, locked, sysHeap);
Read 'CODE' (130, locked, sysHeap) "kbd-patch.601.data";

resource 'vers' (1,purgeable) {
	emacs_version_major,
	emacs_version_minor,
	0x20,
	0x00,
	verUS,
	emacs_version_string,
	"Emacs Keyboard " emacs_version_string
};

resource 'vers' (2,purgeable) {
	emacs_version_major,
	emacs_version_minor,
	0x20,
	0x00,
	verUS,
	emacs_version_string,
	"(for Emacs " emacs_version_string ")"
};

Resource 'STR#' (128) {
	{
		"Emacs KeyTrans patch",
		"emacs_KeyTrans_patch",
		"emacs_kbd_gestalt_dispatch"
	};
};
