/*
 * Copyright (C) 1994 Marc Parmet.
 * This file is part of the Macintosh port of GNU Emacs.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"

#include "::kbd-patch:emacs-version.h"

/* Straight from Inside Mac Volume 6 page 9-23 */

resource 'vers' (1,purgeable) {
	emacs_version_major,
	emacs_version_minor,
	0x20,
	0x00,
	verUS,
	emacs_version_string,
	"GNU Emacs 18.59, Macintosh Port Version " emacs_version_string
};

resource 'vers' (128,purgeable) {
	emacs_version_major,
	emacs_version_minor,
	0x20,
	0x00,
	verUS,
	emacs_version_string,
	"Preferences for Emacs " emacs_version_string
};

resource 'hfdr' (-5696) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	{
		HMStringItem {
			"Use Emacs to edit text files."
		}
	}
};
