/*
 * errno.h
 *
 *
 * This file is part of a Macintosh port of GNU Emacs.
 * Copyright (C) 1993, 1994 Marc Parmet.  All rights reserved.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef __ERRNO__
#define __ERRNO__

extern int errno;

#define EUNDOC	1
#define ENOTDIR	2
#define ERANGE	3
#define EXDEV	4
#define EINTR	5
#define ENOENT	6
#define EACCES	7
#define EBADF	8
#define EEXIST	9
#define EEOF	10
#define EDIRNE	11
#define EPERM	12
#define EINVAL	13

#define NERR	14 /* One more than the greatest number of any error */

#endif
