/*
 * This file is part of a Macintosh port of GNU Emacs.
 * Copyright (C) 1993, 1994 Marc Parmet.  All rights reserved.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __SIGNAL__
#define __SIGNAL__

#define SIG_DFL		((int (*)()) 0)
#define SIG_ERR		((int (*)()) -1)
#define SIG_IGN		((int (*)()) 1)

#define WNOHANG		1

#define SIGABRT		1
#define SIGFPE		2
#define SIGILL		3
#define SIGINT		4
#define SIGSEGV		5
#define SIGTERM		6
#define SIGHUP		7
#define SIGKILL		8
#define SIGALRM		9
#define SIGQUIT		10
#define SIGTRAP		11
#define SIGIOT		12
#define SIGBUS		13
#define SIGSYS		14
#define SIGPIPE		15
#define SIGCHLD		16
#define NSIG		16

int (*signal(int,int (*)()))();
int raise(int);

#endif
