/*
 * This file is part of a Macintosh port of GNU Emacs.
 * Copyright (C) 1993, 1994 Marc Parmet.  All rights reserved.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#pragma once

#include "sys/ioctl.h"

#define ECHO	1
#define ECHOK	2
#define ECHONL	4
#define ICANON	8

#define OPOST	1

#define INLCR	1
#define IGNCR	2
#define ICRNL	4

#define VMIN	0
#define VTIME	1
#define VERASE	2
#define VKILL	3
#define CC_LEN	4

struct termio {
	int c_lflag;
	int c_oflag;
	int c_iflag;
	char c_cc[CC_LEN];
};
