/*
 * Copyright (C) 1993, 1994 Marc Parmet.
 * This file is part of the Macintosh port of GNU Emacs.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include <SysTypes.r>
#include <Types.r>
#include "emacs-version.h"

/* Straight from Inside Mac Volume 6 page 9-23 */

resource 'vers' (1,purgeable) {
	emacs_version_major,
	emacs_version_minor,
	0x20,
	0x00,
	verUS,
	emacs_version_string,
	utility_name " " emacs_version_string
};

resource 'vers' (2,purgeable) {
	emacs_version_major,
	emacs_version_minor,
	0x20,
	0x00,
	verUS,
	emacs_version_string,
	"(for Emacs " emacs_version_string ")"
};
