#if defined(THINK_C)
#include <MacHeaders>
#else
#include <Types.h>
#include <Memory.h>
#include <Quickdraw.h>
#include <Windows.h>
#endif

#include <stdarg.h>
#include "stdio.h"
#include "errno.h"
#include "sys/file.h"

extern int errno;

void
fscanf(FILE *fp,char *fmt,...)
{
	va_list ap;

	va_start(ap,fmt);
	_vfscanf(fp,fmt,ap);
	va_end(ap);
}

void
scanf(char *fmt,...)
{
	va_list ap;

	va_start(ap,fmt);
	_vfscanf(stdin,fmt,ap);
	va_end(ap);
}

int
sscanf(char *s,char *fmt,...)
{
	FILE f;
	va_list ap;
	
	f.cnt = f.buflen = strlen(s);
	f.base = (unsigned char *)s;
	f.fd = -1;
	f.flag = _READ;
	f.err = 0;
	f.havepushback = 0;
	f.havespec = 0;
	va_start(ap,fmt);
	_vfscanf(&f,fmt,ap);
	va_end(ap);
}
