;;;
;;; Constants helpful when sending and receiving Apple events with Think C.
;;;

(defconst kLibrary          "LIB ")
(defconst kProjectType      "PRTP")
(defconst kCheckSyntax      "SNTX")
(defconst kPreprocess       "PRCS")
(defconst kDisassemble      "DASM")
(defconst kPrecompile       "PCMP")
(defconst kCompile          "CMPL")
(defconst kMake             "MAKE")

(defconst cProjectDocument  "PDOC")
(defconst cProjectSegment   "PSEG")
(defconst cSourceFile       "SFIL")
(defconst cObjectCode       "OCOD")
(defconst cOptionData       "OPTS")

(defconst pProjectType      "PRTP")
(defconst pCodeInfo         "CDNF")
(defconst pIncludeFiles     "INCL")
(defconst pSegment          "SGMT")
(defconst pDebug            "DBNF")
(defconst pCompiled         "COMP")
(defconst pModified         "MOD ")
(defconst pDirID            "DIR ")
(defconst pFSSpec           "FSS ")
(defconst pMake             "MAKE")
(defconst pPreload          "PRLD")
(defconst pProtected        "PROT")
(defconst pLocked           "LCKD")
(defconst pPurgeable        "PURG")
(defconst pSystemHeap       "SYS ")

(defconst typeProjTypeData  "PTDT")
(defconst typeCodeInfoData  "NFDT")
(defconst typeOptionData    "OPDT")

(defconst kAEThinkSuite     "KAHL")
(defconst kAECheckLink      "LINK")
(defconst kAERun            "RUN ")
(defconst kAEPeek           "PEEK")
(defconst kAEPoke           "POKE")
(defconst kAEOpenProject    "OPRJ")
(defconst kAECloseProject   "CPRJ")
(defconst kAEInteract       "UI  ")
(defconst kAENoInteract     "NOUI")
(defconst kAEFSS2Pathname   "PATH")

(defconst keyCompact        "CPCT")
(defconst keyConfirm        "CNFM")
(defconst keyCompileError   "CERR")
(defconst keyLinkError      "LERR")
(defconst keySaveFlags      "SFLG")
(defconst keyCompileFlags   "CFLG")
(defconst keySelector       "SLCT")
(defconst keyCompiled       "CMPD")
(defconst keyUpdateOptions  "UPDT")
(defconst keyConvertOptions "CNVT")
(defconst keyUseDebugger    "DBUG")
(defconst keyGo             "GO  ")
(defconst keyLength         "LEN ")
(defconst keyType           "TYPE")
