/*********************************************************************
Project	:	MacPerl			-	Real Perl Application
File		:	MPAEUtils.h		-
Author	:	Matthias Neeracher

A lot of this code is borrowed from 7Edit written by
Apple Developer Support UK

Started	:	17Mar93								Language	:	MPW C
Modified	:	17Mar93	MN
				29May93	MN	Compiles correctly
Last		:	29May93
*********************************************************************/


#include <Types.h>
#include <QuickDraw.h>
#include <Packages.h>
#include <GestaltEqu.h>
#include <Editions.h>
#include <Printing.h>
#include <AppleEvents.h>
#include <ToolUtils.h>

#ifndef __MPAEUTILS__
#define __MPAEUTILS__

/**-----------------------------------------------------------------------
	Utility Routines for getting data from AEDesc's
  -----------------------------------------------------------------------**/

pascal void GetRawDataFromDescriptor(	const AEDesc *theDesc,
													Ptr     destPtr,
													Size    destMaxSize,
													Size    *actSize);

pascal OSErr GetPStringFromDescriptor(	const AEDesc *sourceDesc, char *resultStr);

pascal OSErr GetIntegerFromDescriptor(	const AEDesc *sourceDesc, short *result);

pascal OSErr GetBooleanFromDescriptor(	const AEDesc *sourceDesc,
													Boolean *result);

pascal OSErr GetLongIntFromDescriptor(	const AEDesc *sourceDesc,
                                      	long   *result);

pascal OSErr GetRectFromDescriptor(		const AEDesc *sourceDesc, Rect *result);

pascal OSErr GetPointFromDescriptor(	const AEDesc *sourceDesc,
													Point  *result);

pascal OSErr GetTextFromDescIntoTEHandle(
													const AEDesc *sourceTextDesc,
													TEHandle theHTE);

#endif