resource 'aete' (0, "MacPerl Suite") {
	0x01, 0x00, english, roman,
	{
		"Required Suite", "Events that every application should support", 'reqd', 1, 1,
		{
			"Open", "Open documents", 'McPL', 'odoc',
			'null', "", replyOptional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			'alis', "List of documents to open", directParamRequired, listOfItems, notEnumerated,
			changesState, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			{},

			"Quit", "Quit application", 'aevt', 'quit',
			'null', "", replyOptional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			'null', "No direct parameter required", directParamOptional, singleItem, notEnumerated,
			changesState, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			{
				"save", 'savo', 'savo', "if true, save all windows without asking user, if false, don't save.", optional, singleItem, enumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			},
		},
		{},
		{},
		{},

		"Core Suite", "Suite that applies to all applications", 'core', 1, 1,
		{
			"Save", "Save Window", 'core', 'save',
			'null', "", replyOptional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			'cwin', "Window to save", directParamRequired, singleItem, notEnumerated,
			changesState, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			{
				"in", 'dest', 'alis', "Where to save the file to.", optional, singleItem, enumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			},
		},
		{
			"Window", 'cwin', "A window",
			{
				"Position", 'ppos', 'QDpt', "The Position of the window", reserved, singleItem, notEnumerated, readWrite, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"Page Setup", 'PSET', 'TPNT', "The Page Setup of the window", reserved, singleItem, notEnumerated, readWrite, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"Show Borders", 'PBOR', 'cboo', "The Show Borders of the window", reserved, singleItem, notEnumerated, readWrite, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"Font", 'font', 'TEXT', "Font of the text", reserved, singleItem, notEnumerated, readWrite, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"Size", 'ptsz', 'cf16', "Size of the text", reserved, singleItem, notEnumerated, readWrite, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"Script Number", 'psct', 'cint', "Script system of the text", reserved, singleItem, notEnumerated, readOnly, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			},
			{
				'ctxt', { formRange },
				'cha ', { formAbsolutePosition },
				'cwor', { formAbsolutePosition },
				'clin', { formAbsolutePosition },
				'citm', { formAbsolutePosition },
			},
			"Spot", 'cspt', "A Spot",
			{
				"Class", 'pcls', 'cnum', "The class", reserved, singleItem, notEnumerated, readWrite, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			},
			{},
		},
		{},
		{},

		"Misc Standard Suite", "", 'misc', 1, 1,
		{
			"Show", "Bring an object into view", 'misc', 'mvis',
			'null', "", replyRequired, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			'obj ', "", directParamOptional, singleItem, notEnumerated,
			changesState, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			{},

			"Do Script", "Execute a Perl script", 'misc', 'dosc',
			'TEXT', "Result", replyOptional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			'TEXT', "Script to execute", directParamRequired, singleItem, notEnumerated,
			changesState, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			{
				"extract", 'EXTR', 'bool', "if false, don't search for the #!perl line.", optional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"debug", 'DEBG', 'bool', "if true, start the Perl debugger.", optional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
				"preprocess", 'PREP', 'bool', "if true, send script through C preprocessor.", optional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			},
		},
		{},
		{},
		{},

		"Text Suite", "A set of basic classes for text processing", 'TEXT', 1, 1,
		{
			"Close", "Close an object", 'core', 'clos',
			'null', "", replyOptional, singleItem, notEnumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			'obj ', "The object to close", directParamRequired, singleItem, notEnumerated,
			changesState, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			{
				"Save", 'savo', 'savo', "Specifies whether or not changes should be saved before closing", optional, singleItem, enumerated, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, 
			},
		},
		{},
		{},
		{},
	}
};
