#define _H_GlueCode

/*
 *  Copyright Jeff Francis 1990
 * All rights reserved
 *
 * $Id$
 *
 * Description - GlueCode.c must know the class name of the object
 * that you want to allocate when the screen saver is activated.
 * In this file you need to include the header file for the that
 * class and also to #define SUBCLASS to the name of the class constant.
 *
 * For example, you can create an object of type CAfterDark to
 * get a basic screen saver that simple blanks the screen.  The
 * following two lines are needed in this file to do this:
 *		#include "CAfterDark"
 *		#define SUBCLASS "CAfterDark"
 *
 */

/*
 * As distributed, we'll create a CProjectile object.  When your write
 * your own CAfterDark subclass, you'll have to change this code to
 * reference that subclass.
 */
#include "CProjectile.h"
#define SUBCLASS CProjectile