/*
	File: Dissolve.r

	Copyright 1990-91 by Thomas Knoll.
	Copyright 1992-93 by Adobe Systems, Inc.

	Rez source file for Dissolve example.
*/

/* Plug-in module version number */

#include "PIGeneral.r"

resource 'PiMI' (16000, purgeable)
	{ latestFilterVersion,
	  latestFilterSubVersion,
	  0,
	  supportsGrayScale +
	  	supportsRGBColor +
		supportsCMYKColor +
		supportsHSLColor +
		supportsHSBColor +
		supportsMultichannel +
		supportsDuotone +
		supportsLABColor,
	  '    ', /* No required host */
	  {},
	  { dontCopySourceToDestination }
	 };

/* About dialog box */

resource 'DLOG' (16000, purgeable)
	{
	{0, 0, 130, 240},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	16000,
	""
	};

resource 'DITL' (16000, purgeable)
	{
		{
		{-80, 0, -60, 60},	  Button { enabled, "Hidden" },
		{0, 0, 155, 280},	  UserItem { enabled },
		{10, 10, 26, 230},	  StaticText { disabled, "Dissolve" },
		{36, 10, 52, 230},	  StaticText { disabled, " 1990-93 Adobe Systems, Inc." },
		{62, 10, 110, 230},   StaticText { disabled, "An example plug-in filter "
													 "module for Adobe Photoshop." }
		}
	};

/* Parameters dialog box */

resource 'DLOG' (16001, purgeable)
	{
	{0, 0, 75, 230},
	movableDBoxProc,
	visible,
	noGoAway,
	0x0,
	16001,
	"Dissolve"
	};

resource 'DITL' (16001, purgeable)
	{
		{
		{15, 155, 35, 215},   Button { enabled, "OK" },
		{45, 155, 65, 215},   Button { enabled, "Cancel" },
		{0, 0, 0, 0},		  UserItem { disabled },
		{17, 80, 33, 110},	  EditText { disabled, "" },
		{17, 10, 33, 75},	  StaticText { disabled, "Percent:" },
		}
	};

resource 'STR#' (16000, purgeable)
	{
		{
		"Dissolve: "
		}
	};
	
