/*
	File: DummyExport.r

	Copyright 1990-91 by Thomas Knoll.
	Copyright 1992-93 by Adobe Systems, Inc.

	Rez source file for DummyExport example.
*/

/* Plug-in module version number */

#include "PIGeneral.r"

resource 'PiMI' (17000, purgeable)
	{ latestExportVersion,
	  latestExportSubVersion,
	  0,
	  supportsGrayScale +
		supportsIndexedColor +
	  	supportsRGBColor +
		supportsCMYKColor +
		supportsHSLColor +
		supportsHSBColor +
		supportsMultichannel +
		supportsDuotone +
		supportsLABColor,
	  '    ', /* No required host */
	  {},
	  {}
	 };

/* About dialog box */

resource 'DLOG' (17000, purgeable)
	{
	{0, 0, 130, 240},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	17000,
	""
	};

resource 'DITL' (17000, purgeable)
	{
		{
		{-80, 0, -60, 60},	  Button { enabled, "Hidden" },
		{0, 0, 155, 280},	  UserItem { enabled },
		{10, 10, 26, 230},	  StaticText { disabled, "DummyExport" },
		{36, 10, 52, 230},	  StaticText { disabled, " 1990-93 Adobe Systems, Inc." },
		{62, 10, 110, 230},   StaticText { disabled, "An example plug-in export "
													 "module for Adobe Photoshop." }
		}
	};

resource 'STR#' (17000, purgeable)
	{
		{
		"DummyExport to file:"
		}
	};

