/*
	File: HistoryExport.r

	Copyright 1990-91 by Thomas Knoll.
	Copyright 1992-93 by Adobe Systems, Inc.

	Rez source file for HistoryExport example.
*/

/* Plug-in module version number */

#include "PIGeneral.r"

resource 'PiMI' (17000, purgeable)
	{ latestExportVersion,
	  latestExportSubVersion,
	  0,
	  supportsGrayScale +
	  	supportsRGBColor +
		supportsCMYKColor +
		supportsHSLColor +
		supportsHSBColor +
		supportsMultichannel +
		supportsDuotone +
		supportsLABColor,
	  '    ', /* No required host */
	  {},
	  {}
	 };

/* About dialog box */

resource 'DLOG' (17000, purgeable)
	{
	{0, 0, 130, 240},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	17000,
	""
	};

resource 'DITL' (17000, purgeable)
	{
		{
		{-80, 0, -60, 60},	  Button { enabled, "Hidden" },
		{0, 0, 155, 280},	  UserItem { enabled },
		{10, 10, 26, 230},	  StaticText { disabled, "HistoryExport" },
		{36, 10, 52, 230},	  StaticText { disabled, " 1990-93 Adobe Systems, Inc." },
		{62, 10, 110, 230},   StaticText { disabled, "An example plug-in export "
													 "module for Adobe Photoshop." }
		}
	};

/* History dialog box */

resource 'DLOG' (17001, purgeable)
	{
	{0, 0, 145, 230},
	movableDBoxProc,
	visible,
	noGoAway,
	0x0,
	17001,
	"History"
	};

resource 'DITL' (17001, purgeable)
	{
		{
		{15, 135, 35, 215},   Button { enabled, "OK" },
		{45, 135, 65, 215},   Button { enabled, "Cancel" },
		{80, 135, 100, 215},  Button { enabled, "Trim First" },
		{110, 135, 130, 215}, Button { enabled, "Trim Last" },
		{0, 0, 0, 0},		  UserItem { disabled },
		{17, 10, 33, 120},	  StaticText { disabled, "^0" },
		{37, 10, 53, 120},	  StaticText { disabled, "^1" },
		{57, 10, 73, 120},	  StaticText { disabled, "^2" },
		{77, 10, 93, 120},	  StaticText { disabled, "^3" },
		}
	};

