         IDENT   MICROF
         OPTION  CREF,appl
         INCLUDES MACTEXT
         TITLE   MICROF - MICRO FINDER.
**       MICRO - FINDER.
*
*        FROM   JUNE 1985 MacTutor.

*        INITIALIZE MANAGERS AND MAC.

START    PEA     -4(A5)         ;QD GLOBAL PTR
         _InitGraf
         _InitFonts
         _InitWindows
         _InitMenus
         CLR.L   -(SP)
         _InitDialogs
         _TEInit
         MOVE    #2,-(SP)       ;STANDARD FILE PACKAGE
         _InitPack
         MOVE.L  #$0000FFFF,D0  ;FLUSH ALL EVENTS
         _FlushEvents
         _InitCursor

*         LOCATE PORT AND SET UP SCREEN.

         LEA     GPTR(PC),A3    ;GET HANDLE TO WINDOW PORT
         MOVE.L  A3,-(SP)
         _GetWMgrPort
         MOVE.L  (A3),-(SP)
         _SetPort               ;OPEN THE PORT
         PEA     GRAYPAT(PC)
         _BackPat
         PEA     SCREEN(PC)
         _EraseRect

*        DISPLAY TITLE.

         PEA     WHITEPAT(PC)   ;SET TITLE PATTERNS
         _PenPat
         PEA     TITLERECT(PC)
         _PaintRect
         PEA     BLACKPAT(PC)
         _PenPat
         PEA     TITLERECT(PC)
         _FrameRect
         MOVE    #135,-(SP)     ;POSITION PEN
         MOVE    #60,-(SP)
         _MoveTo
         MOVE    #0,-(SP)       ;CHOOSE FONT
         _TextFont
         MOVE    #18,-(SP)      ;FONT SIZE
         _TextSize
         PEA     TITLE(PC)
         _DrawString
         PEA     WHITEPAT(PC)
         _BackPat

*        MAIN LOOP.

MAIN     MOVE    #86,-(SP)      ;SET PROMPT COORDINATES
         MOVE    #80,-(SP)
         CLR.L   -(SP)
         CLR.L   -(SP)
         MOVE    #1,-(SP)       ;LIST 1 FILE TYPE
         PEA     TYPELIST(PC)   ;TYPE = APPL
         CLR.L   -(SP)
         PEA     SFREPLY(PC)
         MOVE    #2,-(SP)
         _Pack3                 ;RUN SFGETFILE
         LEA     SFREPLY(PC),A0
         CMP.B   #0,(A0)
         BEQ.S   FNDR           ;IF NO FILE SELECTED
         PEA     BLACKPAT(PC)
         _PenPat
         PEA     SCREEN(PC)
         _PaintRect             ;CLEAR SCREEN

*        LAUNCH ROUTINE.

         LEA     SFNAME(PC),A1  ;FILE NAME SELECTED
         LEA     LAUNCHPTR(PC),A0
         MOVE.L  A1,(A0)
         CLR     L(A0)          ;MEMORY ALLOCATION MODE = 0
         _Launch                ;LAUNCH PROGRAM

FNDR     _ExitToShell           ;LAUNCH FINDER

*        DATA AREA.

SCREEN   DC      0,0,342,512    ;FULL SCREEN

TITLERECT DC     41,127,69,381

TYPELIST DC      #'APPL'

GRAYPAT  DC.L    $55555555,$55555555
BLACKPAT DC.L    $FFFFFFFF,$FFFFFFFF
WHITEPAT DC.L    $00000000,$00000000

TITLE    STR     ('MICRO - FINDER')

*        BLANK STORAGE AREA.

         .BSS

SFREPLY  DS.B    1              ;GOOD
         DS.B    1              ;COPY
         DS.L    1              ;TYPE
         DS      1              ;vRefNum
         DS      1              ;VERSION
SFNAME   DS.B    1+63           ;SELECTED FILE NAME

LAUNCHPTR DS.L   1              ;PTR TO FILE NAME
          DS     1              ;0 = STANDARD MEMORY ALLOCATION

GPTR     DS.L   1              ;GRAF PORT PTR

         END
