/*
 * This file is part of a Macintosh port of GNU Emacs.
 * Copyright (C) 1993, 1994 Marc Parmet.  All rights reserved.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __GRP__
#define __GRP__

#include "sys/types.h"

struct  group {
	char	*gr_name;
	gid_t	gr_gid;
};

#ifndef _POSIX_SOURCE
struct group *getgrent();
#endif

struct group *getgrgid(gid_t gid);
struct group *getgrnam(char *name);

#endif
