/*
 * vfork.h
 *
 * This file is part of a Macintosh port of GNU Emacs.
 * Copyright (C) 1993, 1994 Marc Parmet.  All rights reserved.
 *
 * GNU Emacs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef __VFORK__
#define __VFORK__

#include <setjmp.h>

#if defined(THINK_C)
extern long *vfork1(void);
#elif defined(powerc)
extern long **vfork1(void);
#elif defined(__MWERKS__)
extern long **vfork1(void);
#else
#error What compiler are we using?
#endif

extern int vfork2(int);

#define vfork() vfork2(setjmp(vfork1()))

#endif
